## ros-humble-foros-msgs 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(foros_msgs)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "srv/AppendEntries.srv"
  "srv/RequestVote.srv"
  "msg/Inspector.msg"
  DEPENDENCIES builtin_interfaces
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-humble-foros-msgs (0.4.1-2jammy) jammy; urgency=high



 -- Wonguk Jeong <wonguk.jeong@42dot.ai>  Sat, 12 Nov 2022 15:00:00 -0000

ros-humble-foros-msgs (0.4.0-2jammy) jammy; urgency=high

  * version 0.4.0
  * Contributors: Wonguk Jeong

 -- Wonguk Jeong <wonguk.jeong@42dot.ai>  Wed, 26 Oct 2022 15:00:00 -0000

ros-humble-foros-msgs (0.3.1-2jammy) jammy; urgency=high

  * Version 0.3.1
    - inspector UI enhanced
    - unit test updated
  * Contributors: Wonguk Jeong

 -- Wonguk Jeong <wonguk.jeong@42dot.ai>  Tue, 26 Apr 2022 15:00:00 -0000

ros-humble-foros-msgs (0.3.0-2jammy) jammy; urgency=high

  * Version 0.3.0
    - inspector introduced
    - locking added for multithreading
  * foros_msgs: add timestamp in inspector msg
  * foros_msgs: add cluster size field in Inspector msg
  * foros_msgs: add state in inspector msg
    - add current state field
    - change last_data_index to data_size
  * foros_msgs: add inspector message IDL
    define inspector IDL for monitoring nodes in cluster
  * Contributors: Wonguk Jeong

 -- Wonguk Jeong <wonguk.jeong@42dot.ai>  Sun, 24 Apr 2022 15:00:00 -0000

ros-humble-foros-msgs (0.1.0-2jammy) jammy; urgency=high

  * foros_msgs: refine package dependencies
  * foros_msgs: rename fields
    - data -> entries
    - prev_data_term -> prev_log_term
    - prev_data_index -> prev_log_index
  * rename failsafe::fsros to failover::foros
  * Contributors: Wonguk Jeong

 -- Wonguk Jeong <wonguk.jeong@42dot.ai>  Tue, 21 Dec 2021 15:00:00 -0000

=== debian/control ===
Source: ros-humble-foros-msgs
Section: misc
Priority: optional
Maintainer: Wonguk Jeong <wonguk.jeong@42dot.ai>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-rosidl-default-generators, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-foros-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-rosidl-default-runtime, ros-humble-ros-workspace
Description: Fail over ROS messages (raft RPCs)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-foros-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
